DBOutputFormat (Hadoop 0.20.2+320 API)
Date: 2010-06-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred.lib.db
Class DBOutputFormat<K extends DBWritable,V>

    java.lang.Object
      org.apache.hadoop.mapreduce.OutputFormat<K,V>
          org.apache.hadoop.mapreduce.lib.db.DBOutputFormat<K,V>
              org.apache.hadoop.mapred.lib.db.DBOutputFormat<K,V>

All Implemented Interfaces:
  OutputFormat<K,V>

Deprecated. Use org.apache.hadoop.mapreduce.lib.db.DBOutputFormat instead

    @Deprecated
    public class DBOutputFormat<K extends DBWritable,V>

extends DBOutputFormat<K,V>
implements OutputFormat<K,V>

Nested Class Summary
`protected class` | `DBOutputFormat.DBRecordWriter` Deprecated. A RecordWriter that writes the reduce output to a SQL table

Constructor Summary
`DBOutputFormat()` Deprecated.

Method Summary
`void` | `checkOutputSpecs(FileSystem filesystem, JobConf job)` Deprecated. Check for validity of the output-specification for the job.
`RecordWriter<K,V>` | `getRecordWriter(FileSystem filesystem, JobConf job, String name, Progressable progress)` Deprecated. Get the `RecordWriter` for the given job.
`static void` | `setOutput(JobConf job, String tableName, int fieldCount)` Deprecated. Initializes the reduce-part of the job with the appropriate output settings
`static void` | `setOutput(JobConf job, String tableName, String... fieldNames)` Deprecated. Initializes the reduce-part of the job with the appropriate output settings

Methods inherited from class org.apache.hadoop.mapreduce.lib.db.DBOutputFormat
`checkOutputSpecs, constructQuery, getOutputCommitter, getRecordWriter, setOutput, setOutput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBOutputFormat

    public DBOutputFormat()

  Deprecated.

Method Detail

### checkOutputSpecs

    public void checkOutputSpecs(FileSystem filesystem,
                                 JobConf job)
                          throws IOException

  Deprecated.
  Check for validity of the output-specification for the job.

  This is to validate the output specification for the job when it is a job is submitted. Typically checks that it does not already exist, throwing an exception when it already exists, so that output is not overwritten.

  Specified by:
    `checkOutputSpecs` in interface `OutputFormat<K extends DBWritable,V>`
    `job` - job configuration.
  Throws:
    `IOException` - when output should not be attempted

### getRecordWriter

    public RecordWriter<K,V> getRecordWriter(FileSystem filesystem,
                                             JobConf job,
                                             String name,
                                             Progressable progress)
                                                         throws IOException

  Deprecated.
  Get the `RecordWriter` for the given job.

  Specified by:
    `getRecordWriter` in interface `OutputFormat<K extends DBWritable,V>`
    `job` - configuration for the job whose output is being written.
    `name` - the unique name for this part of the output.
    `progress` - mechanism for reporting progress while writing to file.
  Returns:
    a `RecordWriter` to write the output for the job.
  Throws:
    `IOException`

### setOutput

    public static void setOutput(JobConf job,
                                 String tableName,
                                 String... fieldNames)

  Deprecated.
  Initializes the reduce-part of the job with the appropriate output settings

  Parameters:
    `job` - The job
    `tableName` - The table to insert data into
    `fieldNames` - The field names in the table.

### setOutput

    public static void setOutput(JobConf job,
                                 String tableName,
                                 int fieldCount)

  Deprecated.
  Initializes the reduce-part of the job with the appropriate output settings

  Parameters:
    `job` - The job
    `tableName` - The table to insert data into
    `fieldCount` - the number of fields in the table.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation